'use strict';

// Define constants.
/** @override @constant {Array<Object<String,Object>>} Configurations for each enemy type */
Enemy.prototype.TYPES = [
	{
		spriteSheet: 'images/game/enemy_leopard.png',
		spriteWidth: 142,
		spriteHeight: 196,
		bottomOffset: -8,
		hitboxX: 5,
		hitboxY: 76,
		hitboxWidth: 120,
		hitboxHeight: 65,
		walkAnimLength: 48,
		deathAnimLength: 48,
		frameRateMultiplier: 0.75,
		maxHealth: 1,
		movement: ['linear'],
		lowResSpriteSheet: 'images/game/enemy_leopard_low_res.png',
		lowResWalkAnimLength: 24,
		lowResDeathAnimLength: 24,
		lowResFrameRateMultiplier: 0.375
	}, {
		spriteSheet: 'images/game/enemy_snake.png',
		spriteWidth: 142,
		spriteHeight: 196,
		bottomOffset: -64,
		hitboxX: 5,
		hitboxY: 77,
		hitboxWidth: 128,
		hitboxHeight: 34,
		walkAnimLength: 56,
		deathAnimLength: 48,
		frameRateMultiplier: 0.9,
		maxHealth: 1,
		movement: ['linear', 'sinusoidal'],
		lowResSpriteSheet: 'images/game/enemy_snake_low_res.png',
		lowResWalkAnimLength: 28,
		lowResDeathAnimLength: 24,
		lowResFrameRateMultiplier: 0.45
	}, {
		spriteSheet: 'images/game/enemy_bird.png',
		spriteWidth: 71,
		spriteHeight: 98,
		bottomOffset: 128,
		hitboxX: 5,
		hitboxY: 6,
		hitboxWidth: 57,
		hitboxHeight: 66,
		walkAnimLength: 35,
		deathAnimLength: 35,
		frameRateMultiplier: 0.5,
		maxHealth: 1,
		movement: ['linear', 'sinusoidal', 'random']
	}
];
