'use strict';

function Background(game, scrollFactor, spriteId) {	
	this._game = game;
	
	this._scrollFactor = scrollFactor;
	this._sprite = new Sprite(TextureCache[this.SPRITES[spriteId]]);
	
	// Scale the background to fill the screen height.
	if (this._sprite.height !== game.SCREEN_HEIGHT) {
		this._sprite.width = game.SCREEN_HEIGHT / this._sprite.height * this._sprite.width;
		this._sprite.height = game.SCREEN_HEIGHT;
	}
	
	game.app.stage.addChild(this._sprite);
}

// Define constants.
Background.prototype.SPRITES = {
	back: 'images/game/bg_back.png',
	front: 'images/game/bg_front.png'
};

Background.queueAssets = function () {
	Object.values(this.prototype.SPRITES).forEach(function (sprite) {
		loader.add(sprite);
	});
};

Background.prototype.update = function (deltaTime) {
	this._sprite.x = -this._game.scrollX * this._scrollFactor;
};
