'use strict';

// Define constants.
/** @override @constant {Array<Object<String,Object>>} Configurations for each enemy type */
Enemy.prototype.TYPES = [
	{
		spriteSheet: 'images/game/enemy1.png',
		spriteWidth: 142,
		spriteHeight: 196,
		bottomOffset: 8,
		hitboxX: 0,
		hitboxY: 0,
		hitboxWidth: 142,
		hitboxHeight: 196,
		walkAnimLength: 60,
		deathAnimLength: 9,
		frameRateMultiplier: 1,
		maxHealth: 1,
		movement: ['linear'],
		lowResSpriteSheet: 'images/game/enemy1_low_res.png',
		lowResWalkAnimLength: 15,
		lowResDeathAnimLength: 9,
		lowResFrameRateMultiplier: 0.25
	}, {
		spriteSheet: 'images/game/enemy2.png',
		spriteWidth: 142,
		spriteHeight: 196,
		bottomOffset: 96,
		hitboxX: 0,
		hitboxY: 0,
		hitboxWidth: 142,
		hitboxHeight: 196,
		walkAnimLength: 59,
		deathAnimLength: 9,
		frameRateMultiplier: 1,
		maxHealth: 1,
		movement: ['linear', 'sinusoidal', 'random'],
		lowResSpriteSheet: 'images/game/enemy2_low_res.png',
		lowResWalkAnimLength: 15,
		lowResDeathAnimLength: 9,
		lowResFrameRateMultiplier: 0.25
	}, {
		spriteSheet: 'images/game/enemy3.png',
		spriteWidth: 142,
		spriteHeight: 196,
		bottomOffset: 8,
		hitboxX: 0,
		hitboxY: 0,
		hitboxWidth: 142,
		hitboxHeight: 196,
		walkAnimLength: 40,
		deathAnimLength: 33,
		frameRateMultiplier: 1,
		maxHealth: 2,
		movement: ['linear'],
		lowResSpriteSheet: 'images/game/enemy3_low_res.png',
		lowResWalkAnimLength: 20,
		lowResDeathAnimLength: 20,
		lowResFrameRateMultiplier: 0.5
	}
];
