'use strict';

// Define constants.
/** @override @constant {String} The path from the game root to the sound effect for launching the projectile */
ShakeLauncher.prototype.LAUNCH_SOUND = 'audio/sneeze.mp3';
/** @override @constant {Number} The x-position of the launcher's rotation anchor point, from 0 to 1 */
ShakeLauncher.prototype.ROTATION_X = 0.7;
/** @override @constant {Number} The y-position of the launcher's rotation anchor point, from 0 to 1 */
ShakeLauncher.prototype.ROTATION_Y = 0.95;

/**
 * @override
 * Update the launcher for the next frame.
 * @param {Number} deltaTime - The time since the last frame, in milliseconds
 */
ShakeLauncher.prototype.update = function (deltaTime) {
	Launcher.prototype.update.call(this, deltaTime);
	
	if (this._state === this.STATES.LAUNCH) {
		if (this._currentFrame >= this.LAUNCH_DURATION) {
			return;
		}
		this._textureFrame.x = (this._currentFrame < 0.5 * this.LAUNCH_DURATION ? 1 : 0) * this.FRAME_WIDTH;
		this._body.texture.frame = this._textureFrame;
		this._body.rotation = Utils.mappedAbsFunc(this._currentFrame, this.LAUNCH_DURATION, this.START_ROTATION, this.LAUNCH_ROTATION);
	}
};
